Assignee:  % Done: 0%
Target version:    

Plus Target Version:  Affected Version: 2.0

Release Notes:  Affected

Architecture:

 

Description

Using a User Naming Attribute other than CN does not appear to work.  Additionally, LDAP authentication (both

Diags-->Authentication, and OpenVPN client auth) seems to ignore "" and anything after an  symbol (that is, user "test" is considered

the same as "test@testing.com").

Steps to reproduce:

1) setup an LDAP server.  Add user cn=test, with attribute "mail=test@testing.com".

2) Set up pfSense to authenticate against that server.

3) Go to diags-->Authentication.  Try to authenticate both as username "test", and as username "test@thisisnonsense".  Note how

either one works.

4) Change the user naming attribute to "mail".

5) test authentication again, this time with username "test@testing.com".

Expected result:

pfSense should properly authenticate the user by the selected attribute.

What actually happens:

Presumably because @ signs are being ignored, the user is not found and authentication fails.

Tested on pfSense 2.0 in a virtual environment (amd64).

History

#1 - 09/28/2011 12:32 AM - Chris Buechler

- Category set to User Manager / Privileges

- Target version set to 2.0.1

- Affected Version set to 2.0

#2 - 10/24/2011 11:56 PM - Chris Buechler

- Target version deleted (2.0.1)

#3 - 02/19/2017 01:48 PM - Kill Bill

Certainly works just fine now.

#4 - 02/19/2017 02:11 PM - Jim Pingle

- Status changed from New to Resolved
